<template>
<el-main style="width: 60vw;margin: 0 auto">
  <el-form ref="form" :model="form" label-width="85px" size="medium">
    <el-form-item label="案由">
      <el-input v-model="form.casePoint" placeholder="请填写案由"></el-input>
    </el-form-item>
    <el-form-item label="当事人姓名">
      <el-input v-model="form.litigant" placeholder="请填写当事人姓名" ></el-input>
    </el-form-item>
    <el-form-item label="联系电话">
      <el-input v-model="form.phone" placeholder="请填写当事人电话"></el-input>
    </el-form-item>
    <el-form-item label="办案人员" prop="hanlderIds">
      <el-select v-model="form.hanlderIds" clearable filterable multiple :multiple-limit="2"
                 placeholder="请选择" style="width: 100%;" @change="setPersonname($event)">
        <el-option
          v-for="item in organPersons"
          :key="item.userId"
          :label="item.realName"
          :value="item.userId">
          <span style="float: left">{{ item.realName }}</span>
          <span style="float: right; color: #8492a6; font-size: 13px">执法证号：{{ item.lawCert }}</span>
        </el-option>
      </el-select>
    </el-form-item>
    <el-form-item>
      <el-button type="primary" @click="onSubmit">立即创建</el-button>
      <el-button @click="backAll">取消</el-button>
    </el-form-item>
  </el-form>
</el-main>
</template>

<script>
import {easycase,marketb} from '../../api/News/pad'
import {getfindAll} from "../../api/News/useres";
export default {
  name: "padFrom",
  data(){
    return{
      form:{
        casePoint:'',
        litigant:"",
        phone:"",
        hanlderIds:"",
      },
      organPersons:[]
    }
  },
  created() {
    this.init()
  },
  methods:{
    init(){
      // this.$nextTick(()=>{
        //查询当事人信息
        getfindAll().then((res) => {
          this.organPersons = res.data.data;
        })
      // })
    },
    marketb(){},
    backAll(){
      this.$router.push({
        path: '/pad',
      })
    },
    setPersonname(val) {
      let names = "";
      for (let i in this.organPersons) {
        if (val.indexOf(this.organPersons[i].userId) > -1) {
          names += this.organPersons[i].realName + ",";
        }
      }
      if (names != "") {
        this.dataForm.hanlders = names.substring(0, names.length - 1);
      }
    },
    onSubmit(){
      this.form.hanlderIds=this.form.hanlderIds.toString()
      if (this.dataForm.hanlderIds.length < 1) {
        this.dataForm.hanlders = '';
      }
      easycase(this.form).then(res =>{
        this.backAll()
      })
    },
  },
}
</script>

<style scoped>

</style>
